# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Summary:        Radeox Wiki rendering engine 
Name:           radeox
Version:        0.9
Release:        0.beta.2jpp
Epoch:          0
License:        LGPL
URL:            http://radeox.org/
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}-BETA-src.tgz
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
BuildRequires:  jakarta-commons-logging
BuildRequires:  oro
BuildRequires:  junitperf

Requires:  jakarta-commons-logging
Requires:  oro

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Radeox API is a lightwight wiki markup rendering 
engine API to make render engines for wikis more portable.
Radeox RE is a Wiki rendering engine implementation that 
implements the Radeox API in Java. The engine renders 
wiki markup to XHTML. The goal is to develop a feature 
rich, easy to maintain wiki library with a low bug count 
so writing your own Wiki implementation is a breeze.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}-BETA
# remove all binary libs
for f in $(find . -name "*.jar"); do mv $f $f.not; done
pushd lib
ln -s $(build-classpath commons-logging) .
ln -s $(build-classpath oro) jakarta-oro.jar
ln -s $(build-classpath junit) .
ln -s $(build-classpath junitperf) .
# picocontainer.jar
popd
# Pico-Example needs picocontainer
rm -rf src/org/radeox/example

%build
ant test

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc license.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Wed Jun 07 2006 Fernando Nasser <fnasser@redhat.com> - 0:0.9-0.beta.2jpp
- First JPP 1.7 build

* Fri Nov 12 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9-0.beta.1jpp
- First JPackage build
